V1.0
get
/ec-dc-svc/rest/v1/studies/{studyId}/{mode}/dataelements/formassociations/history/sourceForm/{sourceFormId}
Retrieves the audit history for a form association.
Request
Path Parameters
-
mode(required): string
Indicates the operational mode of the study. Accepted values: active, test, or training.Example:
active -
sourceFormId(required): string(uuid)
ID of the Source Form. The format should be UUID, 32-character uppercase hexadecimal stringExample:
9FCBB303F8D24A3FB7DABCACF7600629 -
studyId(required): string(uuid)
Unique identifier of the study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
9FCBB303F8D24A3FB7DABCACF7600629
Query Parameters
-
associatedFormId: string(uuid)
ID of the Associated Form. The format should be UUID, 32-character uppercase hexadecimal stringExample:
9FCBB303F8D24A3FB7DABCACF7600629 -
eventId(required): string(uuid)
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
9FCBB303F8D24A3FB7DABCACF7600629 -
eventInstanceNum: integer(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1 -
sourceRepeatSequenceNumber: integer(int32)
Repeat Sequence Number of Source Form. The format should be UUID, 32-character uppercase hexadecimal stringExample:
1 -
subjectId(required): string(uuid)
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
9FCBB303F8D24A3FB7DABCACF7600629
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Success
Root Schema : schema
Type:
Show Source
array-
Array of:
object FormsAssociationsHistoryDto
Represents a form-to-form association within a subject context including source and associated event/form details, repeat numbers, study versions and audit metadata.
Nested Schema : FormsAssociationsHistoryDto
Type:
objectRepresents a form-to-form association within a subject context including source and associated event/form details, repeat numbers, study versions and audit metadata.
Show Source
-
associatedEventId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
93CC828113AC439181071CB44D2C6FE5 -
associatedEventInstanceNum: integer
(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1 -
associatedFormId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
AA11BB22CC33DD44EE55FF6677889900 -
associatedRepeatSequenceNumber: integer
(int32)
Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.Example:
1 -
associatedStudyVersion: string
String representing the version of the study. Helps track changes in form or study design.Example:
3.0.0.2 -
comment: string
CommentExample:
Linked forms across events -
id: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the association recordExample:
1BC29B36F5D64B1B95F4BDBBCEA481BE -
objectVersionNumber: number
Audit trail field that represents the version number of the data.Example:
14 -
operationType: string
Operation type on the record, can have values CREATED, MODIFIED or REMOVEDExample:
CREATED -
reason: string
ReasonExample:
Association created -
siteId: string
Unique identifier of the site. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
srcEventId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) of the clinical event. A clinical event can be, for example: Screening, Randomization, Visit 1, etc. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ADF5A7800A954FA5B831E7B6B9CA39A9 -
srcEventInstanceNum: integer
(int32)
Numeric value representing the instance number of the event. Used for repeated or unscheduled visits (e.g., 1, 2, 3). It is null for scheduled events.Example:
1 -
srcFormId: string
Unique identifier(UUID, 32-character uppercase hexadecimal string) representing the clinical form.Example:
40DB4EF4847849CCB24EFCCB71CDA436 -
srcItemId: string
Unique identifier (UUID, 32-character uppercase hexadecimal string) of the question within a form. This ID corresponds to the reference code set by the study designer when creating or updating a form question in draft mode.Example:
DEADBEEFDEADBEEFDEADBEEFDEADBEEF -
srcRepeatSequenceNumber: integer
(int32)
Indicates the order of occurrence for a repeating form instance, used to distinguish between multiple repetitions of the same form.Example:
1 -
srcStudyVersion: string
String representing the version of the study. Helps track changes in form or study design.Example:
3.0.0.1 -
subjectId: string
Unique identifier of the subject. Used to represent a participant enrolled in a study. Uses UUID in a 32-character uppercase hexadecimal string format.Example:
ABCDEF1234567890ABCDEF1234567890 -
userId: string
User identifier (UUID) who created or modified the associationExample:
9F8E7D6C5B4A3A2B1C0D9E8F7A6B5C4D -
versionStart: string
(date-time)
The timestamp marking the beginning of the validity period for this record version within the system.Example:
2023-01-01T09:00:00Z
Examples
400 Response
Bad request.
Root Schema : DcsResponse
Type:
Show Source
object-
errorData: object
ErrorResponseData
Title:
ErrorResponseDataError Response Details Information -
result: object
result
-
status: string
-
version: integer
(int32)
Nested Schema : ErrorResponseData
Type:
objectTitle:
ErrorResponseDataError Response Details Information
Show Source
-
details: object
Object
Title:
ObjectObject with error details information. -
errorCode: string
Error code which is stored in ErrorCode enum. Example : C1-003Example:
C1-003 -
errorMessage: string
Error message which is stored in service property file. Example : Cannot modify object after a study version has been approvedExample:
Cannot modify object after a study version has been approved
Nested Schema : result
Type:
objectNested Schema : Object
Type:
objectTitle:
ObjectObject with error details information.
Example:
{
"field":"studyId",
"reason":"Invalid value"
}